.image-java:
  stage: image
  image: registry.gitlab.com/gaia-x/data-infrastructure-federation-services/not/notarization-service/java-image-builder:a2942c4995248e2fb3f71ea23df48ea135d0722c
  cache:
    key: "$JAVA_CACHE_KEY"
    paths:
      - .m2/repository/
    policy: pull-push
  script:
    - ./scripts/build-container-images.sh --service $SERVICE --user $CI_REGISTRY_USER --token $CI_REGISTRY_PASSWORD --commit-hash $CI_COMMIT_SHA --push
  rules:
    - if: $CI_COMMIT_BRANCH == "main"
